var files = GetFileList("sounds");
var songs = [];
var playing = [];

var font = GetSystemFont();


function game()
{
	//Load songs
	for (var i = 0; i < files.length; i++)
		songs[i] = LoadSound(files[i]),
		playing[i] = true;
	
	//Play them all
	for (var i = 0; i < files.length; i++)
		songs[i].play(true);
	
	
	while (!IsKeyPressed(KEY_ESCAPE))
	{
		font.drawTextBox(10, 10, 320, 50, 0, "Playing... Press a numerical key to turn that channel on/off. Escape to exit.");
		
		for (var i = 0; i < files.length; i++)
			font.drawText(10, 50+(10*i), i + ". " + files[i] + ": " + playing[i]);
		
		FlipScreen();
		
		if (IsAnyKeyPressed())
		{
			var key = GetKeyString(GetKey(), false);
			
			if (playing[key] != undefined)
			{
				if (playing[key]) songs[key].setVolume(0), playing[key] = false;
				else songs[key].setVolume(255), playing[key] = true;
			}
		}
	}
}
